class Admin::FaqsController < OrbitAdminController

  before_filter :setup_vars

  def index
  	@table_fields = ["status","category","title","tags"]
    @categories = @module_app.categories
    @tags = @module_app.tags
     @filter_fields = {
        :status=>[{:title=>"is_top",:id=>"is_top"},{:title=>"is_hot",:id=>"is_hot"},{:title=>"is_hidden",:id=>"is_hidden"}],
        :category=>@categories.map{|c| {:title=>c.title, :id=>c.id}},
        :tags=>@tags.map{|tag| {:title=>tag.name, :id=>tag.id}}
      }
    status = params[:filters][:status].blank? ? [] : params[:filters][:status] rescue []
    categories = params[:filters][:category].blank? ? [] : params[:filters][:category] rescue []
    tags = params[:filters][:tags].blank? ? [] : params[:filters][:tags] rescue []

    @qas = Qa.order_by(sort).with_categories(categories).with_tags(tags).with_status(status).page(params[:page]).per(10)

    if request.xhr?
      render :partial => "index"
    end
  end

  def sort
    unless params[:sort].blank?
      case params[:sort]
        when "status"
          @sort = [[:is_top, params[:order]],
                  [:is_hot, params[:order]],
                  [:is_hidden,params[:order]]]
        when "category"
          @sort = {:category_id=>params[:order]}
        when "title"
          @sort = {:title=>params[:order]}
        when "last_modified"
          @sort = {:update_user_id=>params[:order]}
        end
    else
      @sort = {:created_at=>'desc'}
    end
  @sort
  end


  def new
  	@qa = Qa.new
    @tags = @module_app.tags
    @categories = @module_app.categories
    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @qa }
    end
  end 

  def create
    @qa = Qa.new(create_params)
    @qa.create_user_id = current_user.id
    @qa.update_user_id = current_user.id
    @qa.save
    redirect_to admin_faqs_path
  end

  def edit
    @qa = Qa.find(params[:id])
    @tags = @module_app.tags
    @categories = @module_app.categories
  end

  def update
    @qa = Qa.find(params[:id])
    @qa.update_attributes(create_params)
    @qa.update_user_id = current_user.id
    @qa.save
    redirect_to admin_faqs_path
  end

  def destroy
    @qa = Qa.find(params[:id])
    @qa.destroy
    redirect_to admin_faqs_path
  end

  private
  def setup_vars
  	@module_app = ModuleApp.where(:key => "faq").first
  end

  def create_params
    params.require(:qa).permit!
  end
end
