module Faq
  class Engine < ::Rails::Engine
  	initializer "faq" do 
      OrbitApp.registration "Faq", :type => "ModuleApp" do
        module_label "faq.faq"
        base_url File.expand_path File.dirname(__FILE__)
        widget_methods ['widget']
        widget_settings [{"data_count"=>10}]
        taggable "Qa"
        categorizable
        authorizable
        frontend_enabled
        data_count 1..10
        side_bar do
          head_label_i18n 'faq.faq', icon_class: "icons-help"
          available_for [:admin,:manager,:sub_manager]
          active_for_controllers (['admin/faqs'])
          head_link_path "admin_faqs_path"

          context_link 'all',
                :link_path=>"admin_faqs_path" ,
                :priority=>1,
                :active_for_action=>{'admin/faqs'=>"index"}

          context_link 'new_',
                :link_path=>"new_admin_faq_path" ,
                :priority=>2,
                :active_for_action=>{'admin/faqs'=>"new"}

          context_link 'categories',
                :link_path=>"admin_module_app_categories_path" ,
                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'faq').id}",
                :priority=>3,
                :active_for_action=>{'admin/faqs'=>'categories'},
                :active_for_category => 'Faq'

          context_link 'tags',
                :link_path=>"admin_module_app_tags_path" ,
                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'faq').id}",
                :priority=>4,
                :active_for_action=>{'admin/faqs'=>'tags'},
                :active_for_tag => 'Faq'
      	end
      end
  	end
  end
end
